## org.apache.poi.hssf.record
Class RecordFactory

    java.lang.Object
      org.apache.poi.hssf.record.RecordFactory

Deprecated. use EventRecordFactory instead

public class RecordFactory
extends java.lang.Object

Title: Record Factory

Description: Takes a stream and outputs an array of Record objects.

Version:
  1.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Marc Johnson (mjohnson at apache dot org), Glen Stampoultzis (glens at apache.org), Csaba Nagy (ncsaba at yahoo dot com)
See Also:
  `EventRecordFactory`

Constructor Summary
`RecordFactory()` Deprecated.

Method Summary
`static Record[]` `createRecord(short rectype, short size, byte[] data)` Deprecated.
`static java.util.List` `createRecords(java.io.InputStream in)` Deprecated. Create an array of records from an input stream
`static short[]` `getAllKnownRecordSIDs()` Deprecated.
`static void` `setCapacity(int capacity)` Deprecated. changes the default capacity (10000) to handle larger files

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordFactory

    public RecordFactory()

  Deprecated.

Method Detail

### setCapacity

    public static void setCapacity(int capacity)

  Deprecated.
  changes the default capacity (10000) to handle larger files

### createRecords

    public static java.util.List createRecords(java.io.InputStream in)
                                        throws RecordFormatException

  Deprecated.
  Create an array of records from an input stream

  Parameters:
    `in` - the InputStream from which the records will be obtained
  Returns:
    an array of Records created from the InputStream
  Throws:
    `RecordFormatException` - on error processing the InputStream

### createRecord

    public static Record[] createRecord(short rectype,
                                        short size,
                                        byte[] data)

  Deprecated.

### getAllKnownRecordSIDs

    public static short[] getAllKnownRecordSIDs()

  Deprecated.

Copyright © 2003 Apache Software Foundation.